Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezcalendar/user/monthview.php File Reference

Go to the source code of this file.

## Functions
| addZero ( $value)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZCalendarMain", "Language" )
| $Locale = new eZLocale( $Language )
| $user =& eZUser::currentUser()
| $session =& eZSession::globalSession()
else | $userID = $user->id()
| $appOwnerUser = new eZUser( $userID )
| $date = new eZDate()
if( $Year !="" && $Month !="") | else
| $Month = $date->month()
| $zMonth = addZero( $Month )
| $isMyCalendar = ( $user && $user->id() == $userID ) ? "-private" : ""
| $t
| $headerDate = new eZDate()
for( $week_day=1; $week_day<=7; $week_day++) | $today = new eZDate()
| $tmpDate = new eZDate()
| $tmpAppointment = new eZAppointment()
| $firstDay = false

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 357 of file ezcalendar/user/monthview.php.

References $ret.

## Variable Documentation

## ◆ $appOwnerUser

$appOwnerUser = new eZUser( $userID )

Definition at line 61 of file ezcalendar/user/monthview.php.

## ◆ $date

$date = new eZDate()

Definition at line 63 of file ezcalendar/user/monthview.php.

## ◆ $firstDay

$firstDay = false

Definition at line 134 of file ezcalendar/user/monthview.php.

## ◆ $headerDate

$headerDate = new eZDate()

Definition at line 110 of file ezcalendar/user/monthview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file ezcalendar/user/monthview.php.

## ◆ $isMyCalendar

$isMyCalendar = ( $user && $user->id() == $userID ) ? "-private" : ""

Definition at line 80 of file ezcalendar/user/monthview.php.

## ◆ $Language

$Language = $ini->variable( "eZCalendarMain", "Language" )

Definition at line 39 of file ezcalendar/user/monthview.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 40 of file ezcalendar/user/monthview.php.

## ◆ $Month

$Month = $date->month()

Definition at line 73 of file ezcalendar/user/monthview.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 43 of file ezcalendar/user/monthview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcalendar/user/" . $ini->variable( "eZCalendarMain", "TemplateDir" ),
"kernel/ezcalendar/user/intl", $Language, "monthview.php",
"default", "ezcalendar" . "/user", "$Year-$zMonth-$userID" . $isMyCalendar )
eZTemplate
Definition: eztemplate.php:107
$isMyCalendar
$isMyCalendar
Definition: ezcalendar/user/monthview.php:80
$Language
$Language
Definition: ezcalendar/user/monthview.php:39
$ini
$ini
Definition: ezcalendar/user/monthview.php:37

Definition at line 81 of file ezcalendar/user/monthview.php.

## ◆ $tmpAppointment

$tmpAppointment = new eZAppointment()

Definition at line 133 of file ezcalendar/user/monthview.php.

## ◆ $tmpDate

$tmpDate = new eZDate()

Definition at line 132 of file ezcalendar/user/monthview.php.

## ◆ $today

for ($week_day=1;$week_day<=7;$week_day++) $today = new eZDate()

Definition at line 131 of file ezcalendar/user/monthview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 42 of file ezcalendar/user/monthview.php.

## ◆ $userID

else $userID = $user->id()

Definition at line 49 of file ezcalendar/user/monthview.php.

## ◆ $zMonth

$zMonth = addZero( $Month )

Definition at line 79 of file ezcalendar/user/monthview.php.

## ◆ else

if ($Month==1) else

Initial value:
{
$Year = $date->year()
$date
$date
Definition: ezcalendar/user/monthview.php:63

Definition at line 70 of file ezcalendar/user/monthview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.